Bug 395200 - ALSA Sound Broken in 5.9.0
Summary: ALSA Sound Broken in 5.9.0
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Bundle-AppImage (show other bugs)
Version: 5.9.0
Platform: Appimage Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-10 04:19 UTC by jgoerzen
Modified: 2019-07-23 20:17 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.2.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jgoerzen 2018-06-10 04:19:15 UTC
While using Digikam from https://download.kde.org/stable/digikam/digikam-5.9.0-01-x86-64.appimage, I was unable to get ALSA to play sound at all.

I got results similar to those listed at http://digikam.1695700.n4.nabble.com/digiKam-users-Digikam-Cannot-access-file-share-alsa-alsa-conf-td4705967.html, namely:

Cannot access file ././/share/alsa/alsa.conf 

No amount of ALSA tweaking would make it work.  I was eventually able to work around this by running alsoft-conf on the host, removing ALSA from the "Backends in use", and adding PulseAudio to that list.
Comment 1 caulier.gilles 2018-08-17 18:52:28 UTC
what's about this file using current 6.0.0 pre release AppImage bundle available here :

https://files.kde.org/digikam/

Gilles Caulier
Comment 2 caulier.gilles 2018-12-31 11:42:45 UTC
Can you reproduce the dysfunction using the last digiKam 6.0.0-beta3 just
released ?

https://www.digikam.org/news/2018-12-30-6.0.0-beta3_release_announcement/
Comment 3 caulier.gilles 2019-03-06 15:33:17 UTC
Good news,

After 2 weeks of works, the Linux AppImage bundle 64 bits is now reconstructed from scratch with:

- All OpenCV options for CUDA, OPenMP, and OPenCL disabled
- A large upgrade of Qt5 from 5.9.7 to 5.11.3.
- An upgrade to KF5 5.55.
- An upgrade to Ffmpeg 3.3.9
- The fontconfig/freetype integration in the bundle to reduce system dependencies


Files can be downloaded here :

https://files.kde.org/digikam/

Please test and report.

Thanks in advance

Gilles Caulier
Comment 4 caulier.gilles 2019-03-20 13:45:11 UTC
jgoerzen,

After 3 weeks of work, i finally completed the compilation of AppImage using Qt 5.11.3 + QWebkit 5.212.

New 6.1.0 pre-release AppImage bundle can be found here (64 bits only for the
moment) :

https://files.kde.org/digikam/

Please check if the problem remain.

Gilles Caulier
Comment 5 caulier.gilles 2019-07-13 10:40:40 UTC
Git commit 0000cbb3169e8baf3be9133ad0cf398a0a08cead by Gilles Caulier.
Committed on 13/07/2019 at 10:37.
Pushed by cgilles into branch 'master'.

Revert back ffmpeg version from 3.3.9 to 3.3.6 for AppImage, as sound do not work while playing video.
Now QtAV is upgraded to 1.12.0 to 1.13.0 (just released)
Related: bug 406428, bug 399305

M  +3    -2    project/bundles/3rdparty/ext_ffmpeg/CMakeLists.txt

https://invent.kde.org/kde/digikam/commit/0000cbb3169e8baf3be9133ad0cf398a0a08cead
Comment 6 caulier.gilles 2019-07-13 13:19:32 UTC
In one hour, a new version of digiKam 6.2.0 pre-release 64 bits of Linux Bundle AppImage will be available in this download area :

https://files.kde.org/digikam/

Please test and report if the problem remain on your computer.

Thanks in advance

Gilles Caulier
Comment 7 caulier.gilles 2019-07-14 16:28:59 UTC
Git commit 9d85916e0cae985adc46384f89a6bcd3f3a8ed74 by Gilles Caulier.
Committed on 14/07/2019 at 16:27.
Pushed by cgilles into branch 'master'.

missing to checkout QtAV extra modules
Related: bug 406428, bug 399305

M  +11   -8    project/bundles/3rdparty/ext_qtav/CMakeLists.txt

https://invent.kde.org/kde/digikam/commit/9d85916e0cae985adc46384f89a6bcd3f3a8ed74
Comment 8 Maik Qualmann 2019-07-14 21:46:37 UTC
Unfortunately still no sound. The "capi" entry is also missing, but if it is related at all...

Maik
Comment 9 caulier.gilles 2019-07-23 20:17:43 UTC
New bundle AppImage completely rewritten under Mageia6 (instead Cento6) is available at usual place for testing :

https://files.kde.org/digikam/

This fix this sound problem with video.

Gilles Caulier